@charset "utf-8";

/*
 * ImaVi material design styles.
 * (C) 2016 Lupshenko.
 * This code is licensed under the GPL3.
 */

/*Scrollbars*/
	::-webkit-scrollbar {
		width: 0.7vw;
		background: transparent;
	}
	
	::-webkit-scrollbar-corner {
		background: transparent;
	}
	
	::-webkit-scrollbar:horizontal {
		width: auto;
		height: 0.7vw;
	}
	
	::-webkit-scrollbar-thumb {
		background: rgba(33, 150, 243, 1);
		border-radius: 0.5vw 0 0 0.5vw;
	}
	
	::-webkit-scrollbar-thumb:horizontal {
		border-radius: 0.5vw 0.5vw 0 0;
	}
	
	::-webkit-scrollbar-thumb:active{
		background: rgba(25, 118, 210, 1);
	}

/*App bar*/
	.appBar {
		-webkit-app-region: drag;
		position: absolute;
		top: 0;
		width: 100vw;
		height: 7vh;
		white-space: nowrap;
		background: rgba(48, 48, 48, 1);
		box-shadow: 0 0.5vh 2vh rgba(0, 0, 0, 0.5);
	}
	
	.appBar * {
		-webkit-app-region: no-drag;
	}
	
	.appBar .button.flat.round {
		padding: 0;
	}
	
	/*Controls*/
		.appBar .windowControl, .appBar .appControl {
			position: absolute;
			top: 1vh;
			height: 5vh;
		}
		
		.appBar .windowControl {
			right: 1vh;
		}
		
		.appBar .appControl {
			left: 1vh;
		}
		
		.appBar .appControl span {
			display: inline-block;
			height: 3vh;
			width: 0.3vh;
			background: white;
		}

/*Button*/
	.button {
		border: 0;
		border-radius: 0.5vh;
		padding: 1vh 1vw;
		font-size: 3.5vh;
		text-decoration: none;
		text-align: center;
		background: rgba(100, 100, 100, 1);
		min-width: 5vh;
		box-shadow: 0 0.25vh 1vh rgba(0, 0, 0, 0.5);
		transition: box-shadow 0.2s, background 0.2s;
	}
	
	.button[disabled] {
		opacity: 0.3;
	}
		
	.button:active {
		background: rgba(64, 64, 64, 1);
		box-shadow: 0 0.5vh 2vh rgba(0, 0, 0, 0.5);
	}
	
	.button img {
		margin-top: 0.7vh;
		width: 3.5vh;
		height: 3.5vh;
	}
	
	.button.flat {
		box-shadow: 0 0 0 0;
		background: 0;
	}
	
	.button.flat:active {
		background: rgba(255, 255, 255, 0.3);
	}
	
	.button.flat.dark:active {
		background: rgba(0, 0, 0, 0.1);
	}
	
	.button.round {
		border-radius: 50%;
	}

/*Drop-down menus*/
	.dropDownMenu {
		height: 3.6vh;
		width: 20vw;
		padding: 0;
		border: 0;
		border-bottom: solid 0.5vh rgba(150, 150, 150, 1);
		font-size: 3vh;
		background: transparent;
		transition: border-bottom 0.2s;
	}
	
	.text:focus {
		border-bottom: solid 0.5vh rgba(33, 150, 243, 1);		
	}

/*Dialog*/
	.dialog {
		position: absolute;
		top: -500vh;
		left: 15vw;
		height: 70vh;
		width: 70vw;
		border-radius: 0.5vh;
		background: rgba(84, 84, 84, 1);
		box-shadow: 0 1.25vh 5vh rgba(0, 0, 0, 0.5);
		transition: top 0.2s;
	}
	
	.dialog h1 {
		display: inline-block;
		margin: 0;
		font-size: 4.5vh;
		font-weight: normal;
	}
	
	.dialog h2 {
		display: inline-block;
		margin: 0;
		font-size: 4vh;
		font-weight: normal;
	}
	
	.dialog .head {
		width: 68vw;
		height: 5vh;
		margin: 1vh 1vw;
		line-height: 5vh;
		text-align: left;
	}
	
	.dialog .content {
		height: 61vh;
		width: 68vw;
		padding: 1vh 1vw;
		overflow-X: hidden;
		overflow-Y: auto;
		text-align: center;
		font-size: 3.5vh;
	}
	
	.dialog .content * {
		margin: 0 auto;
	}
	
	.dialog .controls {
		display: inline-block;
		float: right;
	}
	
	#uiMask {
		position: absolute;
		top: -500vh;
		width: 100vw;
		height: 100vh;
		background: rgba(0, 0, 0, 0.5);
		transition: top 0.2s;
	}
